Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82565 - Commands that access group names fails when NIS group is large
Summary: Commands that access group names fails when NIS group is large
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 14:34 UTC by Morten Finborud
Modified: 2016-11-24 15:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-10 23:09:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:089 high SHIPPED_LIVE : Updated glibc packages fix vulnerabilities in RPC XDR decoder 2003-04-10 04:00:00 UTC

Description Morten Finborud 2003-01-23 14:34:06 UTC
Description of problem:
Commands accessing group names fails when the group name is a nis group spread 
over several entries (due to the number of members in group). Only the group id 
is returned from commands like groups or ls -la

Example:
ypcat group |grep :1300:
hda:!:1300:a110915,a108743,a100141,u21081,a793918,<lotta more names>
hda2:!:1300:a113014,a794279,a793203,a792412,a455915,<lotta more names>



Version-Release number of selected component (if applicable):
sh-utils 2.0.12


How reproducible: 100%


Steps to Reproduce:
1. groups a100141


Actual results:

id: cannot find name for group ID 1300
id: cannot find name for group ID 3100
id: cannot find name for group ID 1668
id: cannot find name for group ID 102
id: cannot find name for group ID 2020
id: cannot find name for group ID 2800

Same happens when doing a ls -la   (group name does not appear)
-rw-rw----    1 a100141  1300           91 Jan 23 14:54 group.txt   

Expected results (as on a RedHat 7.3 installation):

a100141 : hda nho_tavd petro utfo dip ios ediv hdaunix irap recall lmadmin sd ut
fit charisma    

-rw-rw----    1 a100141  hda           91 Jan 23 14:54 group.txt   

Additional info:

This works perfect on RedHat 7.3

Comment 1 Tim Waugh 2003-01-23 16:32:52 UTC
I think this is fixed for future releases.

Comment 2 Jakub Jelinek 2003-04-10 23:09:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-089.html



Note You need to log in before you can comment on or make changes to this bug.